LibreOffice LibreOffice 25.8 SDK API Reference

Exported Interfaces | Public Attributes | List of all members
ChartAxisYSupplier Service Referencepublished

A helper service for the y-axis. More...

`import"ChartAxisYSupplier.idl";`

Inheritance diagram for ChartAxisYSupplier:

## Exported Interfaces
interface | com::sun::star::chart::XAxisYSupplier
| offers access to the axis object, the title, and the grids More...

## Public Attributes
boolean | HasYAxis
| Determines if the y-axis is shown or hidden. More...
boolean | HasYAxisDescription
| Determines if the description of the y-axis is shown or hidden. More...
boolean | HasYAxisGrid
| Determines if the major grid of the y-axis is shown or hidden. More...
boolean | HasYAxisHelpGrid
| Determines if the minor grid of the y-axis is shown or hidden. More...
boolean | HasYAxisTitle
| Determines if the title of the y-axis is shown or hidden. More...

## Additional Inherited Members
Public Member Functions inherited from XAxisYSupplier
com::sun::star::drawing::XShape | getYAxisTitle ()
com::sun::star::beans::XPropertySet | getYAxis ()
com::sun::star::beans::XPropertySet | getYHelpGrid ()
com::sun::star::beans::XPropertySet | getYMainGrid ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

A helper service for the y-axis.

## Exported Interfaces

## ◆ com::sun::star::chart::XAxisYSupplier

interface com::sun::star::chart::XAxisYSupplier

offers access to the axis object, the title, and the grids

## Member Data Documentation

## ◆ HasYAxis

boolean HasYAxis
| property

Determines if the y-axis is shown or hidden.

See also
  ChartAxis

## ◆ HasYAxisDescription

boolean HasYAxisDescription
| property

Determines if the description of the y-axis is shown or hidden.

## ◆ HasYAxisGrid

boolean HasYAxisGrid
| property

Determines if the major grid of the y-axis is shown or hidden.

See also
  ChartGrid

## ◆ HasYAxisHelpGrid

boolean HasYAxisHelpGrid
| property

Determines if the minor grid of the y-axis is shown or hidden.

See also
  ChartGrid

## ◆ HasYAxisTitle

boolean HasYAxisTitle
| property

Determines if the title of the y-axis is shown or hidden.

See also
  ChartTitle

The documentation for this service was generated from the following file:

- com/sun/star/chart/ChartAxisYSupplier.idl